> ## Documentation Index
> Fetch the complete documentation index at: https://docs.3ngram.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Bounded count aggregates (counts only, never content)



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/stats
openapi: 3.1.0
info:
  description: >-
    The /api/v1 REST mirror of the 3ngram memory core
    (docs/concepts/architecture.mdx: one core, N transports). Authenticate with
    an X-API-Key header or a session Bearer token.
  title: 3ngram REST API
  version: v1
servers:
  - description: 3ngram platform
    url: https://api.3ngram.ai
security:
  - apiKey: []
  - sessionBearer: []
paths:
  /api/v1/stats:
    get:
      summary: Bounded count aggregates (counts only, never content)
      operationId: getStats
      responses:
        '200':
          content:
            application/json:
              schema:
                additionalProperties: false
                properties:
                  activeMemories:
                    maximum: 9007199254740991
                    minimum: 0
                    type: integer
                  archivedMemories:
                    maximum: 9007199254740991
                    minimum: 0
                    type: integer
                  commitmentsByStatus:
                    additionalProperties:
                      maximum: 9007199254740991
                      minimum: 0
                      type: integer
                    propertyNames:
                      type: string
                    type: object
                  memoriesByType:
                    additionalProperties:
                      maximum: 9007199254740991
                      minimum: 0
                      type: integer
                    propertyNames:
                      type: string
                    type: object
                  supersededMemories:
                    maximum: 9007199254740991
                    minimum: 0
                    type: integer
                required:
                  - memoriesByType
                  - activeMemories
                  - supersededMemories
                  - archivedMemories
                  - commitmentsByStatus
                type: object
          description: Success
components:
  securitySchemes:
    apiKey:
      in: header
      name: X-API-Key
      type: apiKey
    sessionBearer:
      scheme: bearer
      type: http

````